// Package org_accordproject_finance_loan_0_2_0 contains domain objects and was generated from Concerto namespace org.accordproject.finance.loan@0.2.0.
package org_accordproject_finance_loan_0_2_0
import "time"
import "org_accordproject_time_0_3_0";
import "org_accordproject_money_0_3_0";
import "concerto_1_0_0";
   
type CurrencyType int
const (
   MONETARY CurrencyType = 1 + iota
   CRYPTOMONETARY
)
type PaymentFrequency struct {
   concerto_1_0_0.Concept
   PeriodMultiplier int32 `json:"periodMultiplier"`
   Period Duration `json:"period"`
}
type Loan struct {
   concerto_1_0_0.Concept
   InstrumentId []string `json:"instrumentId"`
   Description string `json:"description"`
   CurrencyType CurrencyType `json:"currencyType"`
   CurrencyCode CurrencyCode `json:"currencyCode"`
   DigitalCurrencyCode DigitalCurrencyCode `json:"DigitalCurrencyCode"`
   ExchangeId []string `json:"exchangeId"`
   ClearanceSystem string `json:"clearanceSystem"`
   Definition string `json:"definition"`
   Lien string `json:"lien"`
   FacilityType string `json:"facilityType"`
   Maturity time.Time `json:"maturity"`
   CreditAgreementDate time.Time `json:"creditAgreementDate"`
   Tranche string `json:"tranche"`
}
